%define name perl-Text-Kakasi
%define version 1.05
%define release 1mdk

Summary: Perl binding for KAKASI the kanji kana simple inverter
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Internationalization
Source0: http://www.daionet.gr.jp/~knok/kakasi/Text-Kakasi-%{version}.tar.bz2
Url: http://www.daionet.gr.jp/~knok/kakasi/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: perl >= 5.6.0
BuildRequires: kakasi-devel >= 2.3.1
Requires: perl >= 5.6.0
Requires: kakasi >= 2.3.1

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji and may be helpful to read Japanese
documents.
More information about KAKASI is available at <http://kakasi.namazu.org/>.


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Text-Kakasi-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.bs" | 
	grep -v "\.packlist" > Text-Kakasi-%{version}-filelist
if [ "$(cat Text-Kakasi-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Text-Kakasi-%{version}-filelist
%defattr(-,root,root)
%doc COPYING ChangeLog README README.jp


%changelog
* Thu Sep 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.05-1mdk
- first mandrake release
- removed .bs file

* Mon May 28 2001 Ryuji Abe <rug@namazu.org>
- version 1.05
- remove japanese description

* Mon Oct 16 2000 Ryuji Abe <rug@namazu.org>
- more macro.

* Sat Oct 14 2000 Ryuji Abe <rug@namazu.org>
- regenarate spec file with cpanflute. 
- fix summary.

* Mon Apr 10 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.04.

* Thu Apr 06 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.02.

* Tue Feb 08 2000 Ryuji Abe <raeva@t3.rim.or.jp>
- Changed group (Utilities/Text -> Applications/Text).

* Sat Dec 11 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- Rebuild for RHL-6.1.

* Fri Dec 03 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- version 1.01.

* Wed Dec 01 1999 Ryuji Abe <raeva@t3.rim.or.jp>
- First build.
